PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_clag2z | ( | int | m,
|  | int | n,
|  | const PLASMA_Complex32_t * | A,
|  | int | lda,
|  | PLASMA_Complex64_t * | B,
|  | int | ldb
| ) |  |

CORE_PLASMA_clag2z converts a PLASMA_Complex32_t matrix, A, to a PLASMA_Complex64_t matrix, B.

Parameters

  [in] | m | The number of rows of the matrices A and B. m >= 0.
  [in] | n | The number of columns of the matrices A and B. n >= 0.
  [in] | A | The PLASMA_Complex32_t m-by-n matrix to convert.
  [in] | lda | The leading dimension of the array A. lda >= max(1,m).
  [out] | B | The PLASMA_Complex64_t m-by-n matrix to convert.
  [in] | ldb | The leading dimension of the array B. ldb >= max(1,m).